> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get base usage

> Get usage information for the base



## OpenAPI

````yaml /swagger.json get /base/{baseId}/usage
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /base/{baseId}/usage:
    get:
      tags:
        - usage
      description: Get usage information for the base
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
      responses:
        '200':
          description: Returns usage information for the base.
          content:
            application/json:
              schema:
                type: object
                properties:
                  level:
                    type: string
                    enum:
                      - free
                      - pro
                      - business
                      - enterprise
                  limit:
                    type: object
                    properties:
                      maxRows:
                        type: number
                      maxSizeAttachments:
                        type: number
                      maxNumAutomationRuns:
                        type: number
                      maxNumDatabaseConnections:
                        type: number
                      maxRevisionHistoryDays:
                        type: number
                      maxAutomationHistoryDays:
                        type: number
                      automationEnable:
                        type: boolean
                      auditLogEnable:
                        type: boolean
                      adminPanelEnable:
                        type: boolean
                      rowColoringEnable:
                        type: boolean
                      buttonFieldEnable:
                        type: boolean
                      fieldAIEnable:
                        type: boolean
                      userGroupEnable:
                        type: boolean
                      advancedExtensionsEnable:
                        type: boolean
                      advancedPermissionsEnable:
                        type: boolean
                      passwordRestrictedSharesEnable:
                        type: boolean
                      authenticationEnable:
                        type: boolean
                      domainVerificationEnable:
                        type: boolean
                      organizationEnable:
                        type: boolean
                      apiRateLimit:
                        type: number
                      chatAIEnable:
                        type: boolean
                      appEnable:
                        type: boolean
                      customDomainEnable:
                        type: boolean
                      maxNumAutomationSendEmail:
                        type: number
                    required:
                      - maxRows
                      - maxSizeAttachments
                      - maxNumAutomationRuns
                      - maxNumDatabaseConnections
                      - maxRevisionHistoryDays
                      - maxAutomationHistoryDays
                      - automationEnable
                      - auditLogEnable
                      - adminPanelEnable
                      - rowColoringEnable
                      - buttonFieldEnable
                      - fieldAIEnable
                      - userGroupEnable
                      - advancedExtensionsEnable
                      - advancedPermissionsEnable
                      - passwordRestrictedSharesEnable
                      - authenticationEnable
                      - domainVerificationEnable
                      - organizationEnable
                      - apiRateLimit
                      - chatAIEnable
                      - appEnable
                      - customDomainEnable
                      - maxNumAutomationSendEmail
                  appSumoTier:
                    anyOf:
                      - type: number
                        enum:
                          - 1
                      - type: number
                        enum:
                          - 2
                      - type: number
                        enum:
                          - 3
                      - type: number
                        enum:
                          - 4
                required:
                  - level
                  - limit
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/base/%7BbaseId%7D/usage \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/usage';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/base/%7BbaseId%7D/usage',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("app.teable.ai")

            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

            conn.request("GET", "/api/base/%7BbaseId%7D/usage", headers=headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````